import React, { useMemo } from 'react';

import ECharts from '@/components/ECharts';

const labelOption = {
  show: true,
  formatter: '{c}',
  position: 'insideTop',
  distance: -20,
  fontSize: 16,
  rich: {
    name: {}
  }
};

export default (props) => {
  const { opt, title, h } = props
  const titleList = opt.map(item => { return { name: item.title } })
  const colorList = opt.map(item => { return item.color })
  const seriesList = opt.map(item => {
    return {
      name: item.title,
      type: 'bar',
      label: labelOption,
      emphasis: {
        focus: 'series'
      },
      data: item.valueList
    }
  })
  const defaultOpt = {
    title: {
      text: title,
      left: 'center',
    },
    tooltip: {
      trigger: 'axis',
      axisPointer: {
        type: 'shadow'
      },
      extraCssText: 'height:100px;'
    },
    color: colorList,
    legend: {
      top: 'bottom',
      data: titleList,
    },
    xAxis: [
      {
        type: 'category',
        axisTick: { show: false },
        data: opt[0].keyList
      }
    ],
    yAxis: [
      {
        type: 'value'
      }
    ],
    series: seriesList
  }
  const option = useMemo(() => defaultOpt, []);
  return <div style={{ height: h, width: '100%' }}> <ECharts option={option} /></div>;
};
