import React, { useState, useEffect, useRef } from 'react';
import { Button, Popconfirm, Modal, Form, Input, message } from 'antd';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import PageTable from '@/components/PageTable';

export default (props) => {
  const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };
  const [form] = Form.useForm();
  const [editModal, setEditModal] = useState(false);
  const [loading, setLoading] = useState(false);
  const [regionId, setRegionId] = useState();
  const actionRef = useRef();

  const columns = [
    {
      title: '名称',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '设备编号',
      dataIndex: 'createDate',
      key: 'createDate',
      width: 340,
    },
    {
      title: '设备类型',
      dataIndex: 'status',
      key: 'status',
    },
    {
      title: '作业面积(亩)',
      dataIndex: 'status',
      key: 'status',
      search: false,
    },
    {
      title: '作业时间',
      dataIndex: 'status',
      key: 'status',
      search: false,
    },
    {
      title: '绑定农机',
      dataIndex: 'status',
      key: 'status',
      search: false,
    },
  ];

  return (
    <PageHeaderWrapper>
      <PageTable
        columns={columns}
        actionRef={actionRef}
        options={false}
        // toolBarRender={actions}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
